###################################################################################################################################################
# Copyright 2018 Orchid Systems 
# -----------------------------
# Permitted for use with Orchid Systems Modules only.
# The code is supplied on an “as is” basis for training and demonstration purposes only and is not supported by Orchid Systems.
# If this code is deployed in a live production environment it is the responsibility of the End User to ensure 
# that it is operating as required.
###################################################################################################################################################

from accpac import *
# This validates the CODECTRY field is not blank and valid as the country field is updated on the Ship to entry screen.
# This displays a message. There is no validation on posting the OE Order in this script. 

# onOpen is called when the view is opened.
# Return Continue to enable the macro.
# Return 0 to disable the macro.
# If you return anything else then the view will not load.
def onOpen():
# It is restricted to the Order Entry Screen - If you want the script to work whenever the view is used, for example by external programs, 
# comment out the next 2 lines. You 
	if program != "OE1100":
		return 0
		
	return Continue

def onBeforePut(e):
	countrylist = ['CA','US','AU','NZ']
	#rvspyTrace("Put [" + str(e.value) + "] to [" + e.field + "]")
	if e.field == "SHPCOUNTRY":
		if e.value not in countrylist:
			showMessage("Invalid country code [" + e.value.strip() + "]. You must enter a valid Country Code, one of CA, US, AU or NZ")
			return 1
	return Continue

